Bug 975312 - Review Request: libodb - Common ODB runtime library
Review Request: libodb - Common ODB runtime library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 975313 975314 975315 975316 975317 975318
  Show dependency treegraph
 
Reported: 2013-06-18 01:00 EDT by Dave Johansen
Modified: 2013-11-10 01:55 EST (History)
5 users (show)

See Also:
Fixed In Version: libodb-2.2.3-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-27 00:00:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dave Johansen 2013-06-18 01:00:43 EDT
Spec URL: https://docs.google.com/file/d/0B9bQ41XLJ8QuV2w2cENOeEZiT0E/edit?usp=sharing
SRPM URL: https://docs.google.com/file/d/0B9bQ41XLJ8QuMUs2M3VaN2w4dzQ/edit?usp=sharing
Description: This package contains the common ODB runtime library. Every application that includes code generated by the ODB compiler will need to link to this library.
Fedora Account System Username: daveisfera
Comment 1 Peter Lemenkov 2013-06-18 10:46:28 EDT
Unblocking FE-NEEDSPONSOR - I've just sponsored Dave.
Comment 2 Dave Johansen 2013-07-13 01:09:50 EDT
The updated files can be found at:
Spec URL: http://daveisfera.fedorapeople.org/odb_2.2/specs/libodb.spec
SRPM URL: http://daveisfera.fedorapeople.org/odb_2.2/SRPMS/libodb-2.2.3-1.fc19.src.rpm
Comment 3 Dave Johansen 2013-07-25 10:42:42 EDT
The original spec file indicated that this depends on odb, but that is not actually the case, so I removed that.
Comment 4 Dave Johansen 2013-07-26 00:19:09 EDT
The result of doing a scratch build on f19 can be seen at:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5658677
Comment 5 Dave Johansen 2013-09-18 08:50:41 EDT
Now that ODB itself has been approved, this package is ready for review.

The current files can be found at:
Spec URL: http://daveisfera.fedorapeople.org/odb_2.2/specs/libodb.spec
SRPM URL: http://daveisfera.fedorapeople.org/odb_2.2/SRPMS/libodb-2.2.3-1.el6.src.rpm

The only output from rpmlint is the following:
libodb.src: W: spelling-error Summary(en_US) runtime -> run time, run-time, untimely
libodb.src: W: spelling-error %description -l en_US runtime -> run time, run-time, untimely

But that seems to be a valid spelling ( http://en.wikipedia.org/wiki/Runtime_library ), so I'm guessing that it's actually ok, but is there an "upstream" that I can put in a request for that to be considered a valid spelling?
Comment 6 Peter Lemenkov 2013-09-25 08:49:32 EDT
OK, it looks like the package is in a very good shape. So here is my formal

REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is almost silent

sulaco ~/rpmbuild/SPECS: rpmlint ../RPMS/ppc/libodb-* ../SRPMS/libodb-2.2.3-1.fc21.src.rpm 
libodb.ppc: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
libodb.ppc: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment

^^^ false positives

libodb.ppc: W: no-documentation

^^^ unfortunately we're experiencing a transition from old and versioned docdir (/use/share/doc/pkgname-1.2.3) towards new unversioned one (/use/share/doc/pkgname). That's why you shouldn't exclude docs within the %files section for now - this will remove docs entirely on F20 and F21 (my working machine upgraded to Fedora 21).

libodb.src: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
libodb.src: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment

^^^ false positives.

4 packages and 0 specfiles checked; 0 errors, 5 warnings.
sulaco ~/rpmbuild/SPECS: 

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (strict GPLv2).
+ The file, containing the text of the license(s) for the package, is included in %doc. Also see my comments above about docdir situation.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

sulaco ~/rpmbuild/SOURCES: sha256sum libodb-2.2.3.tar.bz2*
23656d33f6c8c9e3c9f5414476912f524b95a5f54bc3982d2be43f5e43e3b65e  libodb-2.2.3.tar.bz2
23656d33f6c8c9e3c9f5414476912f524b95a5f54bc3982d2be43f5e43e3b65e  libodb-2.2.3.tar.bz2.1
sulaco ~/rpmbuild/SOURCES:

+ The package successfully compiles and builds into binary rpms on my PowerPC box.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
+ The package stores shared library files in some of the dynamic linker's default paths, and it calls ldconfig in %post and %postun.
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings. Again see my comment about the docdir situation.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
+ Header files are stored in a -devel package.
0 No static libraries.
+ The pkgconfig(.pc) files are stored in a -devel package.
+ The library file(s) that end in .so (without suffix) is(are) stored in a -devel package.
+ The -devel package requires the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.

I don't see any issues (apart from versioned/unversioned docdir situation which requires additional work on F-20+ branches), so this package is

APPROVED.
Comment 7 Dave Johansen 2013-09-25 23:54:15 EDT
New Package SCM Request
=======================
Package Name: libodb
Short Description: Common ODB runtime library from Code Synthesis
Owners: daveisfera
Branches: el5 el6 f18 f19 f20 
InitialCC: peter
Comment 8 Dave Johansen 2013-09-25 23:57:34 EDT
> libodb.ppc: W: no-documentation
> 
> ^^^ unfortunately we're experiencing a transition from old and versioned docdir (/use/share/doc/pkgname-1.2.3) towards new unversioned one (/use/share/doc/pkgname). That's why you shouldn't exclude docs within the %files section for now - this will remove docs entirely on F20 and F21 (my working machine upgraded to Fedora 21).

I read the wiki about this ( http://fedoraproject.org/wiki/Changes/UnversionedDocdirs ), but I wasn't quite sure what exactly I should do to fix this. Should I just remove the excludes I have for the documentation? Or is there something else I need to/should do?
Comment 9 Kevin Fenzi 2013-09-27 14:31:28 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-10-17 10:08:00 EDT
libodb-2.2.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libodb-2.2.3-1.fc18
Comment 11 Fedora Update System 2013-10-17 10:08:16 EDT
libodb-2.2.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libodb-2.2.3-1.fc19
Comment 12 Fedora Update System 2013-10-17 10:08:26 EDT
libodb-2.2.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/libodb-2.2.3-1.el6
Comment 13 Fedora Update System 2013-10-17 10:08:36 EDT
libodb-2.2.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libodb-2.2.3-1.fc20
Comment 14 Fedora Update System 2013-10-17 10:08:47 EDT
libodb-2.2.3-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/libodb-2.2.3-1.el5
Comment 15 Fedora Update System 2013-10-17 14:04:08 EDT
libodb-2.2.3-1.el5 has been pushed to the Fedora EPEL 5 testing repository.
Comment 16 Fedora Update System 2013-10-27 00:00:35 EDT
libodb-2.2.3-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 17 Fedora Update System 2013-10-27 01:29:19 EDT
libodb-2.2.3-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 18 Fedora Update System 2013-10-27 01:30:38 EDT
libodb-2.2.3-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 19 Fedora Update System 2013-11-01 17:07:34 EDT
libodb-2.2.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 20 Fedora Update System 2013-11-01 17:07:48 EDT
libodb-2.2.3-1.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 21 Fedora Update System 2013-11-10 01:55:00 EST
libodb-2.2.3-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.